/***       Update Log	  	***/
/*	Update Log is a simple    */
/*  library aimed towards 	  */
/*  helping anyone and myself */
/*  in creating a simple yet  */
/*  effective logging system  */
/*  for all their games.      */
/***                        ***/
/*        By El Wookie        */
/***                        ***/

world/New()
	var/UL/Update_Log = new()									//Create a new instance of the Update Log datum
	Log = Update_Log											//Set the worlds Log variable to this Update Log so it can be refrenced easier
	..()
	name = "[Log.Game_Name] - Version: [Log.Game_Version]"		//Change the game's window's title to reflect the version
var/UL/Log = null
UL/var
	Game_Version 		= ""									//This is the games version, I personally like a "0.0.1" style system
	Game_Hub			= ""									//This is the game's hub, ex: http://www.byond.com/games/ElWookie/UL
	Game_Forum			= ""									//This is the game's forum, ex: http://www.byond.com/members/ElWookie/forum
	Game_Creator		= ""									//This is the game's creator, ex: El Wookie
	Game_Name			= ""									//This is the game's actual name, you should know this
	Update_Log			={"
(-time-) Version 0.0.0:<hr>
Started Project.<br>
"}																//The actual log. You can use what formatting you want, but in my example I use simple <hr> linebreak tags.
	Credits				={"
El Wookie- Update Log Library
"}																//Credits should reflect benefactors towards the game
mob
	Topic(href,href_list[])										//This should be called when a player clicks the links in the log
		switch(href_list["action"])
			if("Forum")											//Send them to the forum
				src << link("[Log.Game_Forum]")
			if("Hub")											//Send them to the Hub
				src << link("[Log.Game_Hub]")
			if("Me")											//Send them to the Game Creator's BYOND page
				src << link("http://www.byond.com/members/[ckey(Log.Game_Creator)]")
mob/verb
	Check_Updates()
		var/updates = {"
<font face="Tahoma" size=2><br>
<a href=?src=\ref[src];action=Hub>[Log.Game_Name]</a> is brought to you by <a href=?src=\ref[src];action=Me>[Log.Game_Creator]</a>.<br>
Please report all bugs and suggestions to the forum.<br>
The forum can be accessed <a href=?src=\ref[src];action=Forum>Here</a>.<br>
Credits to:<br>
[Log.Credits]<br><hr>
<center>[Log.Game_Name]: Version [Log.Game_Version]<br>Updates:<hr>

[Log.Update_Log]
"}
		src<<browse(updates,"window=Updates;size=500x600")
																//This just generates the actual content for the Update Log.
																//By default it is assigned the to /mob type, you are free to obviously change this if needs be